<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\Equipo;
use App\Models\ControlDiario;
use Carbon\Carbon;

class Dashboard extends Component
{
    public $equiposActivosHoy;
    public $numeroSalidas;
    public $totalEquipos, 
    public $equiposQueSa

    public function mount()
    {
        $this->equiposActivosHoy = Equipo::where('estado', 'activo')->count();

        $this->numeroSalidas = ControlDiario::whereDate('fecha', Carbon::today())
                                ->whereNotNull('salio')
                                ->count();

        $this->totalEquipos = Equipo::count();

        // Obtener el listado de equipos que salieron hoy
        $this->equiposQueSalieronHoy = ControlDiario::with('equipo')
            ->whereDate('fecha', Carbon::today())
            ->whereNotNull('salio')
            ->get();
    }

    public function render()
    {
        return view('livewire.dashboard');
    }
}
